Bug 1223859 (CVE-2015-4106, xsa131) - xen: unmediated PCI register access in qemu (xsa-131)
Summary: xen: unmediated PCI register access in qemu (xsa-131)
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-4106, xsa131
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1227631
Blocks: 1223862
TreeView+ depends on / blocked
 
Reported: 2015-05-21 14:45 UTC by Martin Prpič
Modified: 2019-09-29 13:33 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-24 10:42:33 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-05-21 14:45:17 UTC
ISSUE DESCRIPTION
=================

Qemu allows guests to not only read, but also write all parts of the PCI config space (but not extended config space) of passed through PCI devices not explicitly dealt with for (partial) emulation purposes.

IMPACT
======

Since the effect depends on the specific purpose of the the config space field, it's not possbile to give a general statement about the exact impact on the host or other guests. Privilege escalation, host crash (Denial of Service), and leaked information all cannot be excluded.

VULNERABLE SYSTEMS
==================

Xen versions 3.3 and onwards are vulnerable due to supporting PCI pass-through.

Only x86 systems are vulnerable. ARM systems are not vulnerable.

Only HVM guests with their device model run in Dom0 can take advantage of this vulnerability.

Only HVM guests which have been granted access to physical PCI devices (`PCI passthrough') can take advantage of this vulnerability.

MITIGATION
==========

This issue can be avoided by not assigning PCI devices to untrusted HVM guests.

This issue can also be avoided by only using PV guests.

It can also be avoided by configuring HVM guests with their device model run in a separate (stub) domain. (When using xl, this can be requested with "device_model_stubdomain_override=1" in the domain configuration file.)


Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 1 Petr Matousek 2015-05-24 10:42:33 UTC
Statement:

This issue does affect then Xen packages as shipped with Red Hat Enterprise Linux 5.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 2 Martin Prpič 2015-06-03 08:02:25 UTC
External References:

http://xenbits.xen.org/xsa/advisory-131.html

Comment 3 Martin Prpič 2015-06-03 08:03:07 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1227631]


Note You need to log in before you can comment on or make changes to this bug.